Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.text
Class StyleConstants.CharacterConstants

    java.lang.Object
      |
      +--javax.swing.text.StyleConstants
            |
            +--javax.swing.text.StyleConstants.CharacterConstants

All Implemented Interfaces:
  AttributeSet.CharacterAttribute

Enclosing class:
  StyleConstants

public static class StyleConstants.CharacterConstants
extends StyleConstants
implements AttributeSet.CharacterAttribute

This is a typesafe enumeration of the well-known attributes that contribute to a character style. These are aliased by the outer class for general presentation.

Nested Class Summary

Nested classes inherited from class javax.swing.text.StyleConstants
`StyleConstants.CharacterConstants, StyleConstants.ColorConstants, StyleConstants.FontConstants, StyleConstants.ParagraphConstants`

Field Summary
`static Object` | `Background` Name of the background color attribute.
`static Object` | `BidiLevel` Bidirectional level of a character as assigned by the Unicode bidi algorithm.
`static Object` | `Bold` Name of the bold attribute.
`static Object` | `ComponentAttribute` Name of the component attribute.
`static Object` | `Family` Name of the font family.
`static Object` | `Foreground` Name of the foreground color attribute.
`static Object` | `IconAttribute` Name of the icon attribute.
`static Object` | `Italic` Name of the italic attribute.
`static Object` | `Size` Name of the font size.
`static Object` | `StrikeThrough` Name of the strikethrough attribute.
`static Object` | `Subscript` Name of the subscript attribute.
`static Object` | `Superscript` Name of the superscript attribute.
`static Object` | `Underline` Name of the underline attribute.

Fields inherited from class javax.swing.text.StyleConstants
`ALIGN_CENTER, ALIGN_JUSTIFIED, ALIGN_LEFT, ALIGN_RIGHT, Alignment, ComponentElementName, ComposedTextAttribute, FirstLineIndent, FontFamily, FontSize, IconElementName, LeftIndent, LineSpacing, ModelAttribute, NameAttribute, Orientation, ResolveAttribute, RightIndent, SpaceAbove, SpaceBelow, TabSet`

Methods inherited from class javax.swing.text.StyleConstants
`getAlignment, getBackground, getBidiLevel, getComponent, getFirstLineIndent, getFontFamily, getFontSize, getForeground, getIcon, getLeftIndent, getLineSpacing, getRightIndent, getSpaceAbove, getSpaceBelow, getTabSet, isBold, isItalic, isStrikeThrough, isSubscript, isSuperscript, isUnderline, setAlignment, setBackground, setBidiLevel, setBold, setComponent, setFirstLineIndent, setFontFamily, setFontSize, setForeground, setIcon, setItalic, setLeftIndent, setLineSpacing, setRightIndent, setSpaceAbove, setSpaceBelow, setStrikeThrough, setSubscript, setSuperscript, setTabSet, setUnderline, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### Underline

    public static final Object Underline

  Name of the underline attribute.

### StrikeThrough

    public static final Object StrikeThrough

  Name of the strikethrough attribute.

### Superscript

    public static final Object Superscript

  Name of the superscript attribute.

### Subscript

    public static final Object Subscript

  Name of the subscript attribute.

### ComponentAttribute

    public static final Object ComponentAttribute

  Name of the component attribute.

### IconAttribute

    public static final Object IconAttribute

  Name of the icon attribute.

### BidiLevel

    public static final Object BidiLevel

  Bidirectional level of a character as assigned by the Unicode bidi algorithm.

### Family

    public static final Object Family

  Name of the font family.

### Size

    public static final Object Size

  Name of the font size.

### Bold

    public static final Object Bold

  Name of the bold attribute.

### Italic

    public static final Object Italic

  Name of the italic attribute.

### Foreground

    public static final Object Foreground

  Name of the foreground color attribute.

### Background

    public static final Object Background

  Name of the background color attribute.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2002 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.